Skip to content

Get Governance Lock Status (Bucket)

GET
/api/v1/storage/buckets/{bucket_name}/lock/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/lock/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

This API allows users to check the governance lock status of a bucket.

bucket_name
required
string

Bucket Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Returns the retention policy applied on a specific bucket

Media typeapplication/json
object
code
integer
data
object
bucket
required
integer
mode
string
retention_period
integer
created_at
string format: date-time
updated_at
string format: date-time

Example

{
"code": 200,
"data": {
"bucket": 12346,
"mode": "GOVERNANCE",
"retention_period": 3,
"created_at": "2025-05-27T06:22:24.481381Z",
"updated_at": "2025-05-27T06:22:24.481442Z"
}
}